<?php
/**
 * Robotics Services functions and definitions
 *
 * @package Robotics Services
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */

if ( ! function_exists( 'robotics_services_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function robotics_services_setup() {
	global $content_width;
	if ( ! isset( $content_width ) )
		$content_width = 680;
	
	load_theme_textdomain( 'robotics-services', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'align-wide' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'wp-block-styles');
	add_theme_support( 'custom-header', array(
		'default-text-color' => false,
		'header-text' => false,
	) );
	add_theme_support( 'custom-logo', array(
		'height'      => 200,
		'width'       => 400,
		'flex-height' => true,
	) );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'robotics-services' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	/*
	 * Enable support for Post Formats.
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_editor_style( 'editor-style.css' );

	// Theme Activation Notice
	global $pagenow;

	if (
		is_admin()
		&&
		('themes.php' == $pagenow)
		// &&
		// isset( $_GET['activated'] )
	) {
		add_action('admin_notices', 'robotics_services_deprecated_hook_admin_notice');
	}
}
endif; // robotics_services_setup
add_action( 'after_setup_theme', 'robotics_services_setup' );

function robotics_services_the_breadcrumb() {
    echo '<div class="breadcrumb my-3">';

    if (!is_home()) {
        echo '<a class="home-main align-self-center" href="' . esc_url(home_url()) . '">';
        bloginfo('name');
        echo "</a> >> ";

        if (is_category() || is_single()) {
            the_category(' >> ');
            if (is_single()) {
                echo ' >> <span class="current-breadcrumb">' . esc_html(get_the_title()) . '</span>';
            }
        } elseif (is_page()) {
            echo '<span class="current-breadcrumb">' . esc_html(get_the_title()) . '</span>';
        }
    }

    echo '</div>';
}

function robotics_services_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'robotics-services' ),
		'description'   => __( 'Appears on blog page sidebar', 'robotics-services' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'robotics-services' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'robotics-services' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'robotics-services' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'robotics-services' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar(array(
        'name'          => __('Shop Sidebar', 'robotics-services'),
        'description'   => __('Sidebar for WooCommerce shop pages', 'robotics-services'),
		'id'            => 'woocommerce-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));
	register_sidebar(array(
        'name'          => __('Single Product Sidebar', 'robotics-services'),
        'description'   => __('Sidebar for single product pages', 'robotics-services'),
		'id'            => 'woocommerce-single-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));		
	
	$robotics_services_widget_areas = get_theme_mod('robotics_services_footer_widget_areas', '4');
	for ($robotics_services_i=1; $robotics_services_i<=$robotics_services_widget_areas; $robotics_services_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'robotics-services' ) . $robotics_services_i,
			'id'            => 'footer-' . $robotics_services_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="ftr-4-box widget-column-4 %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}

}
add_action( 'widgets_init', 'robotics_services_widgets_init' );

// Change number of products per row to 3
add_filter('loop_shop_columns', 'robotics_services_loop_columns');
if (!function_exists('robotics_services_loop_columns')) {
    function robotics_services_loop_columns() {
        $robotics_services_colm = get_theme_mod('robotics_services_products_per_row', 4); // Default to 3 if not set
        return $robotics_services_colm;
    }
}

// Use the customizer setting to set the number of products per page
function robotics_services_products_per_page($robotics_services_cols) {
    $robotics_services_cols = get_theme_mod('robotics_services_products_per_page', 8); // Default to 8 if not set
    return $robotics_services_cols;
}
add_filter('loop_shop_per_page', 'robotics_services_products_per_page', 8);

function robotics_services_scripts() {
	
	wp_enqueue_style( 'robotics-services-bootstrap-css', esc_url(get_template_directory_uri())."/css/bootstrap.css" );
	wp_enqueue_style('robotics-services-style', get_stylesheet_uri(), array() );
		wp_style_add_data('robotics-services-style', 'rtl', 'replace');
	require get_parent_theme_file_path( '/inc/color-scheme/custom-color-control.php' );
	wp_add_inline_style( 'robotics-services-style',$robotics_services_color_scheme_css );
	wp_enqueue_style( 'robotics-services-default', esc_url(get_template_directory_uri())."/css/default.css" );
	wp_enqueue_style( 'robotics-services-style', get_stylesheet_uri() );
	wp_enqueue_script( 'robotics-services-bootstrap-js', esc_url(get_template_directory_uri()). '/js/bootstrap.js', array('jquery') );
	wp_enqueue_script( 'robotics-services-theme', esc_url(get_template_directory_uri()) . '/js/theme.js' );
	wp_enqueue_style( 'robotics-services-font-awesome-css', esc_url(get_template_directory_uri())."/css/fontawesome-all.css" );
	wp_enqueue_style( 'robotics-services-block-style', esc_url( get_template_directory_uri() ).'/css/blocks.css' );

	/*--------------------------- Animations -------------------*/
    if ( get_theme_mod( 'robotics_services_animation_enabled', true ) ) {
		wp_enqueue_script( 'robotics-services-wow-jquery', get_template_directory_uri() . '/js/wow.js', array('jquery'),'' ,true );
        wp_enqueue_style( 'robotics-services-animate-style', get_template_directory_uri().'/css/animate.css' );
    }

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// font-family
    $robotics_services_body_font = esc_html(get_theme_mod('robotics_services_body_fonts'));
    $robotics_services_heading_font = esc_html(get_theme_mod('robotics_services_headings_fonts'));

    if ($robotics_services_body_font) {
        wp_enqueue_style('robotics-services-body-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($robotics_services_body_font));
    } else {
        wp_enqueue_style('Outfit', 'https://fonts.googleapis.com/css2?family=Outfit:wght@100..900');
    }

    if ($robotics_services_heading_font) {
        wp_enqueue_style('robotics-services-body-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($robotics_services_heading_font));
    } else {
        wp_enqueue_style('Orbitron', 'https://fonts.googleapis.com/css2?family=Orbitron:wght@400..900');
    }
}
add_action( 'wp_enqueue_scripts', 'robotics_services_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Sanitization Callbacks.
 */
require get_template_directory() . '/inc/sanitization-callbacks.php';

/**
 * Webfont-Loader.
 */
require get_template_directory() . '/inc/wptt-webfont-loader.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/upgrade-to-pro.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/inc/gfonts.php';

/**
 * select .
 */
require get_template_directory() . '/inc/select/category-dropdown-custom-control.php';

/**
 * Theme Info Page.
 */
require get_template_directory() . '/inc/addon.php';

/**
 * Load TGM.
 */
require get_template_directory() . '/inc/tgm/tgm.php';

function robotics_services_setup_theme() {
	if ( ! defined( 'ROBOTICS_SERVICES_PREMIUM_PAGE' ) ) {
		define('ROBOTICS_SERVICES_PREMIUM_PAGE',__('https://www.theclassictemplates.com/products/robotics-wordpress-theme','robotics-services'));
	}
	if ( ! defined( 'ROBOTICS_SERVICES_PRO_NAME' ) ) {
		define( 'ROBOTICS_SERVICES_PRO_NAME', __( 'About Robotics Services', 'robotics-services' ));
	}
	if ( ! defined( 'ROBOTICS_SERVICES_THEME_PAGE' ) ) {
		define('ROBOTICS_SERVICES_THEME_PAGE',__('https://www.theclassictemplates.com/collections/best-wordpress-templates','robotics-services'));
	}
	if ( ! defined( 'ROBOTICS_SERVICES_SUPPORT' ) ) {
		define('ROBOTICS_SERVICES_SUPPORT',__('https://wordpress.org/support/theme/robotics-services/','robotics-services'));
	}
	if ( ! defined( 'ROBOTICS_SERVICES_REVIEW' ) ) {
		define('ROBOTICS_SERVICES_REVIEW',__('https://wordpress.org/support/theme/robotics-services/reviews/','robotics-services'));
	}
	if ( ! defined( 'ROBOTICS_SERVICES_PRO_DEMO' ) ) {
		define('ROBOTICS_SERVICES_PRO_DEMO',__('https://live.theclassictemplates.com/robotics-services-pro/','robotics-services'));
	}
	if ( ! defined( 'ROBOTICS_SERVICES_THEME_DOCUMENTATION' ) ) {
		define('ROBOTICS_SERVICES_THEME_DOCUMENTATION',__('https://live.theclassictemplates.com/demo/docs/robotics-services-free/','robotics-services'));
	}
	if ( ! defined( 'ROBOTICS_SERVICES_BUNDLE_PAGE' ) ) {
		define('ROBOTICS_SERVICES_BUNDLE_PAGE',__('https://www.theclassictemplates.com/products/wordpress-theme-bundle','robotics-services'));
	}
}
add_action('after_setup_theme', 'robotics_services_setup_theme');
    
// logo
if ( ! function_exists( 'robotics_services_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 * Does nothing if the custom logo is not available.
 *
 */
function robotics_services_the_custom_logo() {
	if ( function_exists( 'the_custom_logo' ) ) {
		the_custom_logo();
	}
}
endif;

/* Activation Notice */
function robotics_services_deprecated_hook_admin_notice() {
	$robotics_services_theme = wp_get_theme();
	$robotics_services_meta = get_option( 'robotics_services_admin_notice' );

	if (!$robotics_services_meta) {
    ?>
        <div id="robotics-services-welcome-notice" class="getstrat updated notice notice-success welcome-notice is-dismissible notice-get-started-class">
            <div class="admin-image">
                <img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
            <div class="admin-content" >
                <h1><?php 
				/* translators: 1: Theme name, 2: Theme version. */
				printf( esc_html__( 'Welcome to %1$s %2$s', 'robotics-services' ), esc_html($robotics_services_theme->get( 'Name' )), esc_html($robotics_services_theme->get( 'Version' ))); ?>
                </h1>
                <p><?php _e('Get Started With Theme By Clicking On Getting Started.', 'robotics-services'); ?></p>
                <div style="display: grid;">
                    <a class="admin-notice-btn button button-hero upgrade-pro" target="_blank" href="<?php echo esc_url( ROBOTICS_SERVICES_PREMIUM_PAGE ); ?>"><?php esc_html_e('Upgrade Pro', 'robotics-services') ?><i class="dashicons dashicons-cart"></i></a>
                    <a class="admin-notice-btn button button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=robotics-services' )); ?>"><?php esc_html_e( 'Get started', 'robotics-services' ) ?><i class="dashicons dashicons-backup"></i></a>
                    <a class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( ROBOTICS_SERVICES_THEME_DOCUMENTATION ); ?>"><?php esc_html_e('Free Doc', 'robotics-services') ?><i class="dashicons dashicons-visibility"></i></a>
                    <a  class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( ROBOTICS_SERVICES_PRO_DEMO ); ?>"><?php esc_html_e('View Demo', 'robotics-services') ?><i class="dashicons dashicons-awards"></i></a>
                </div>
            </div>
            <div class="admin-bundle-image">
            	<a href="<?php echo esc_url( ROBOTICS_SERVICES_BUNDLE_PAGE ); ?>" target="_blank"><img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/images/image_1.webp'; ?>" /></a>
            </div>
        </div>
	<?php
    }
}
// Admin notice code START
function robotics_services_dismissed_notice() {
	update_option( 'robotics_services_admin_notice', true );
}
add_action( 'wp_ajax_robotics_services_dismissed_notice', 'robotics_services_dismissed_notice' );


//After Switch theme function
add_action('after_switch_theme', 'robotics_services_getstart_setup_options');
function robotics_services_getstart_setup_options () {
    update_option('robotics_services_admin_notice', false );
}
// Admin notice code END